;;; -*- Mode:Common-Lisp; Package:USER; Base:10 -*-

;;; **********************************************************************
;;; Copyright (c) 1990 Stanford University.
;;; Copyright is held by Stanford University except where code has been
;;; modified from TI source code.  In these cases TI code is marked with
;;; a suitable comment.  Where functionality implemented herein replicates
;;; similarly named functionality on Symbolics machines, this code was
;;; developed solely from the interface specification in the documentation
;;; or through guesswork, never by examination of Symbolics source code.

;;; All Stanford Copyright code is in the public domain.  This code may be
;;; distributed and used without restriction as long as this copyright
;;; notice is included and no fee is charged.  This can be thought of as
;;; being equivalent to the Free Software Foundation's Copyleft policy.

;;; TI source code may only be distributed to users who hold valid TI
;;; software licenses.
;;; **********************************************************************

;; Skip if on a microExplorer for now
(unless (sys:mx-p)
  
  ;; Load VisiDoc server
  (unless (and (fboundp 'sys:mx-p) (sys:mx-p))
    (make-system 'visidoc :noconfirm :safe :nowarn :silent)
    ;;RDA: Don't do this since only one or two machines need it.
;    (make-system 'visidoc-server :noconfirm :safe :nowarn :silent)
    )
  )

(si:load-if "TOOLS:TOOLS;SUBMETER") ; JPR 02/06/90 10:48:11

;;  Use the PUBLIC screen saver, with KSL bug fixes
(unless (sys:mx-p)
  (load "TOOLS:TOOLS;SCREEN-SAVER")
  )

;;; Load commonly wanted tools
(load-tools '(36xx-Explorer
	      ANSI-CL-Compatibility
	      Structure-Enhancements
	      Development-Tool-Consistency-Enhancements
	      Grapher
	      Inspector-Enhancements
	      Map-Over-Files
	      Search-And-Replace
	      Soft-Keys
	      Utilities
	      Window-Debugger-Enhancements
	      Window-System-Additions
	      Window-Icons
	      Single-Window-Vt100 
	      Zmacs-Enhancements
	      General-Inspector
	      Source-Code-Debugger
	      Yes-Way
	      )
	    )

